/*
 * ipcountry.h:
 * Simple library for IP-to-country mapping.
 *
 * Copyright (c) 2003 Chris Lightfoot. All rights reserved.
 * Email: chris@ex-parrot.com; WWW: http://www.ex-parrot.com/~chris/
 *
 * $Id: ipcountry.h,v 1.1 2003/12/06 21:22:33 chris Exp $
 *
 */

#ifndef __IPCOUNTRY_H_ /* include guard */
#define __IPCOUNTRY_H_

#include <netinet/in.h>

typedef struct ipcountry *ipcountry;
enum ipcountry_result { ipcr_ok = 0, ipcr_not_found = 1, ipcr_fatal = 2 };

ipcountry ipcountry_open(const char*);
void ipcountry_close(ipcountry);
enum ipcountry_result ipcountry_find(ipcountry, const struct in_addr, char*);

char *ipcountry_isocode_to_name(const char*);

#endif /* __IPCOUNTRY_H_ */
